Page MenuHomePhabricator

[EPIC] Mobile language switching improvement work II
Closed, ResolvedPublic

Description

Summary

Following the succesful instrumetnation and implementation of improvements to the language switching overlay on mobile web (T121919), the web team's goal for the July-September 2016 period is to wrap up initial work on the mobile language switcher. This work is composed of three areas:

  1. Moving button from bottom of article to top
  2. Changes indicated by live user testing
  3. Changes to more closely match the compact language switcher on desktop beta (which is pending rollout)

Goal Visibility

This is a Readership Goal that is committed to externally here: https://www.mediawiki.org/wiki/Wikimedia_Engineering/2016-17_Q1_Goals#Reading

Rationale

  • The current language-switching button is buried at the bottom of the article and still gets more clicks than the hamburger menu see mobile report card (table name is 'page-ui-daily').
  • User testing indicated some areas where users who wanted to switch languages were confused, even after our initial set of changes
  • The WMF's languages team is looking to rollout the compact language switcher (currently a beta feature) on desktop in the coming quarters and we should strive for a consistent experience, where appropriate

Success Metrics

Our primary success metric is to see an increase in switching the language of the article being read, but another goal is to achieve parity with desktop, iOS or Android with regard to % of pageviews with language switched.

Note: Differences in each platform make the expected % higher or lower. For instance, on iOS it is easy to change languages while searching and select your languages, so by the time an article is reached there is less likelihood this is necessary. We have not established these baselines on other platforms.

External Dependencies

Rollout synchronization and feature consistency is somewhat dependent on the WMF's language team

To consolidate code or not

In T137679: [Spike] [2 hrs] investigate using Universal language selector (ULS) on mobile web we determined we will not consolidate MobileFrontend's language switcher module into ULS/CLS, as it would be a significant investment of time without a clear benefit.

Product Plan

  • Prototyping (DONE in last phase T121919)
  • Usability testing (DONE in last phase T121919)
  • Identify remaining changes
  • A/B test results
  • Rollout on stable in waves

MVP

At a minimum, this requires that language switching within an article is not limited to the bottom of the article.

User Stories

  • As a user I want to see what other languages an article is available in without scrolling to the bottom of the article, so that I can save time.
  • As a user, I would like to have my likely language choice identified for me so that I do not have to search/browse for it.
  • As a user, if my preferred language isn't selected, I would like to find it via search or browsing with minimal effort.

Specific tasks labeled as blockers.

Metrics Implementation

All necessary instrumentation was put into place in phase 1: T121919

Timeline Estimate

List estimates below. These do not have to be exact. These are just used to validate proposed timelines and ship dates.

TaskEstimate
Planning2 weeks prior to July
Development4 weeks
Rollout to beta2 weeks (most testing will be done on small % of users in stable)
Rollout to a subset of wikis2 weeks
Rollout to all wikis2 weeks
Disable instrumentation once enough data collected2 weeks

Delivery Estimate

End of September to all stable users

Related Objects

StatusAssignedTask
DeclinedNone
OpenNone
Resolvedovasileva
Resolveddr0ptp4kt
ResolvedNone
ResolvedJhernandez
ResolvedMholloway
ResolvedJdlrobson
Resolvedbmansurov
DuplicateNone
ResolvedJhernandez
ResolvedNirzar
ResolvedNone
ResolvedJdlrobson
Resolveddr0ptp4kt
Resolveddr0ptp4kt
ResolvedJdlrobson
Resolveddr0ptp4kt
Resolveddr0ptp4kt
ResolvedNirzar
Resolveddr0ptp4kt
Resolvedphuedx
Resolveddr0ptp4kt
Resolveddr0ptp4kt
ResolvedMoushira
Resolved jhobs
ResolvedJdlrobson
ResolvedJdlrobson

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 15 2016, 10:51 PM
JKatzWMF renamed this task from [EPIC] Mobile language switching improvement work to [EPIC] Mobile language switching improvement work II.Jun 15 2016, 11:30 PM
JKatzWMF updated the task description. (Show Details)Jun 20 2016, 4:27 PM
dr0ptp4kt triaged this task as High priority.Jun 22 2016, 4:32 PM
dr0ptp4kt updated the task description. (Show Details)Jun 29 2016, 4:50 PM
dr0ptp4kt updated the task description. (Show Details)
Nirzar added a subscriber: Nirzar.Aug 20 2016, 3:27 AM

@JKatzWMF is this done now?

@Nirzar In my opinion, "yes". @MBinder_WMF is there a special protocol we should follow with regard to closing an epic that still has unfinished subtasks? It seems like I should just remove the subtasks as they are not, in fact, blockers, but I would hate for them to get lost.

@JKatzWMF Unless the tasks are subtasks of a different epic, I would say they just become tasks without parents. Specifically, I think they ought to be removed as dependencies for this task, at least. Is there a Language Switcher Phab project to which they could be added and tracked?

On reflection, T130849 seems to be something that should happen as a last step before closing this Epic--but probably can't happen. And we will need to remove the bottom button as well. I just created a task for that (T143829).

ovasileva closed this task as Resolved.Nov 9 2016, 3:17 PM
ovasileva claimed this task.

Amazing. Here we go :)